Permalink
Browse files

oeps, searc/replace screw up for the ruby url

  • Loading branch information...
1 parent 16e49cd commit 8ddcc1a72944a6be12c8657580a21c7814e3d78f @jedi4ever jedi4ever committed Jul 3, 2011
View
@@ -1,3 +1,3 @@
module Veewee
- VERSION = "0.1.28"
+ VERSION = "0.1.29"
end
@@ -144,8 +144,8 @@ chroot /newarch useradd -m -r vagrant -p '$1$MPmczGP9$1SeNO4bw5YgiEJuo/ZkWq1'
#get some ruby running
chroot /newarch pacman --noconfirm -S git curl gcc make
echo "bash < <( curl -L http://bit.ly/rvm-install-system-wide )"| chroot /newarch /bin/bash -
-echo "/usr/local/bin/rvm install http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz "| chroot /newarch sh -
-echo "/usr/local/bin/rvm use http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz --default "| chroot /newarch sh -
+echo "/usr/local/bin/rvm install ruby-1.8.7 "| chroot /newarch sh -
+echo "/usr/local/bin/rvm use ruby-1.8.7 --default "| chroot /newarch sh -
#Installing chef & Puppet
@@ -145,8 +145,8 @@ chroot /newarch useradd -m -r vagrant -p '$1$MPmczGP9$1SeNO4bw5YgiEJuo/ZkWq1'
#get some ruby running
chroot /newarch pacman --noconfirm -S git curl gcc make
echo "bash < <( curl -L http://bit.ly/rvm-install-system-wide )"| chroot /newarch /bin/bash -
-echo "/usr/local/bin/rvm install http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz "| chroot /newarch sh -
-echo "/usr/local/bin/rvm use http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz --default "| chroot /newarch sh -
+echo "/usr/local/bin/rvm install ruby-1.8.7 "| chroot /newarch sh -
+echo "/usr/local/bin/rvm use ruby-1.8.7 --default "| chroot /newarch sh -
#Installing chef & Puppet
@@ -144,8 +144,8 @@ chroot /mnt/gentoo chown -R vagrant /home/vagrant/.ssh
chroot /mnt/gentoo emerge git curl gcc automake m4
chroot /mnt/gentoo emerge libiconv readline zlib openssl curl git libyaml sqlite libxslt
echo "bash < <(curl -s https://rvm.beginrescueend.com/install/rvm)"| chroot /mnt/gentoo /bin/bash -
-echo "/usr/local/rvm/bin/rvm install http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz "| chroot /mnt/gentoo sh -
-echo "/usr/local/rvm/bin/rvm use http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz --default "| chroot /mnt/gentoo sh -
+echo "/usr/local/rvm/bin/rvm install ruby-1.8.7 "| chroot /mnt/gentoo sh -
+echo "/usr/local/rvm/bin/rvm use ruby-1.8.7 --default "| chroot /mnt/gentoo sh -
#Installing chef & Puppet
echo ". /usr/local/rvm/scripts/rvm ; gem install chef --no-ri --no-rdoc"| chroot /mnt/gentoo sh -
@@ -20,14 +20,14 @@ apt-get -y install nfs-common
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
-wget http://ftp.ruby-lang.org/pub/ruby/http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-cd http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334
+wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+cd ruby-1.8.7-p334
./configure --prefix=/opt/ruby
make
make install
cd ..
-rm -rf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334*
+rm -rf ruby-1.8.7-p334*
# Install RubyGems 1.7.2
wget http://production.cf.rubygems.org/rubygems/rubygems-1.7.2.tgz
@@ -20,14 +20,14 @@ apt-get -y install nfs-common
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
-wget http://ftp.ruby-lang.org/pub/ruby/http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-cd http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334
+wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+cd ruby-1.8.7-p334
./configure --prefix=/opt/ruby
make
make install
cd ..
-rm -rf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334*
+rm -rf ruby-1.8.7-p334*
# Install RubyGems 1.7.2
wget http://production.cf.rubygems.org/rubygems/rubygems-1.7.2.tgz
@@ -20,14 +20,14 @@ apt-get -y install nfs-common
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
-wget http://ftp.ruby-lang.org/pub/ruby/http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-cd http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334
+wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+cd ruby-1.8.7-p334
./configure --prefix=/opt/ruby
make
make install
cd ..
-rm -rf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334*
+rm -rf ruby-1.8.7-p334*
# Install RubyGems 1.7.2
wget http://production.cf.rubygems.org/rubygems/rubygems-1.7.2.tgz
@@ -20,14 +20,14 @@ apt-get -y install nfs-common
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
-wget http://ftp.ruby-lang.org/pub/ruby/http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-cd http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334
+wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+cd ruby-1.8.7-p334
./configure --prefix=/opt/ruby
make
make install
cd ..
-rm -rf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334*
+rm -rf ruby-1.8.7-p334*
# Install RubyGems 1.7.2
wget http://production.cf.rubygems.org/rubygems/rubygems-1.7.2.tgz
@@ -20,14 +20,14 @@ apt-get -y install nfs-common
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
-wget http://ftp.ruby-lang.org/pub/ruby/http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-cd http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334
+wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+cd ruby-1.8.7-p334
./configure --prefix=/opt/ruby
make
make install
cd ..
-rm -rf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334*
+rm -rf ruby-1.8.7-p334*
# Install RubyGems 1.7.2
wget http://production.cf.rubygems.org/rubygems/rubygems-1.7.2.tgz
@@ -20,14 +20,14 @@ apt-get -y install nfs-common
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
-wget http://ftp.ruby-lang.org/pub/ruby/http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-cd http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334
+wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+cd ruby-1.8.7-p334
./configure --prefix=/opt/ruby
make
make install
cd ..
-rm -rf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334*
+rm -rf ruby-1.8.7-p334*
# Install RubyGems 1.7.2
wget http://production.cf.rubygems.org/rubygems/rubygems-1.7.2.tgz
@@ -20,14 +20,14 @@ apt-get -y install nfs-common
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
-wget http://ftp.ruby-lang.org/pub/ruby/http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-cd http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334
+wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+cd ruby-1.8.7-p334
./configure --prefix=/opt/ruby
make
make install
cd ..
-rm -rf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334*
+rm -rf ruby-1.8.7-p334*
# Install RubyGems 1.7.2
wget http://production.cf.rubygems.org/rubygems/rubygems-1.7.2.tgz
@@ -20,14 +20,14 @@ apt-get -y install nfs-common
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
-wget http://ftp.ruby-lang.org/pub/ruby/http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-cd http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334
+wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+cd ruby-1.8.7-p334
./configure --prefix=/opt/ruby
make
make install
cd ..
-rm -rf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334*
+rm -rf ruby-1.8.7-p334*
# Install RubyGems 1.7.2
wget http://production.cf.rubygems.org/rubygems/rubygems-1.7.2.tgz
@@ -20,14 +20,14 @@ apt-get -y install nfs-common
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
-wget http://ftp.ruby-lang.org/pub/ruby/http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-cd http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334
+wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+cd ruby-1.8.7-p334
./configure --prefix=/opt/ruby
make
make install
cd ..
-rm -rf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334*
+rm -rf ruby-1.8.7-p334*
# Install RubyGems 1.7.2
wget http://production.cf.rubygems.org/rubygems/rubygems-1.7.2.tgz
@@ -20,14 +20,14 @@ apt-get -y install nfs-common
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
-wget http://ftp.ruby-lang.org/pub/ruby/http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334.tar.gz
-cd http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334
+wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+tar xvzf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
+cd ruby-1.8.7-p334
./configure --prefix=/opt/ruby
make
make install
cd ..
-rm -rf http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz-p334*
+rm -rf ruby-1.8.7-p334*
# Install RubyGems 1.7.2
wget http://production.cf.rubygems.org/rubygems/rubygems-1.7.2.tgz

0 comments on commit 8ddcc1a

Please sign in to comment.